| v_frmbuf_wr Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XV_frmbufwr_Config Struct Reference

This typedef contains configuration information for the frame buffer write core Each core instance should have a configuration structure associated. More...

## Data Fields
u16 | DeviceId
| Unique ID of device. More...
UINTPTR | BaseAddress
| The base address of the core instance. More...
u16 | PixPerClk
| Samples Per Clock. More...
u16 | MaxWidth
| Maximum columns supported by core instance. More...
u16 | MaxHeight
| Maximum rows supported by core instance. More...
u16 | MaxDataWidth
| Maximum Data width of each channel. More...
u16 | AXIMMDataWidth
| AXI-MM data width. More...
u16 | AXIMMAddrWidth
| AXI-MM address width. More...
u16 | RGBX8En
| RGBX8 support. More...
u16 | YUVX8En
| YUVX8 support. More...
u16 | YUYV8En
| YUYV8 support. More...
u16 | RGBA8En
| RGBA8 support. More...
u16 | YUVA8En
| YUVA8 support. More...
u16 | BGRA8En
| YUVA8 support. More...
u16 | RGBX10En
| RGBX10 support. More...
u16 | YUVX10En
| YUVX10 support. More...
u16 | Y_UV8En
| Y_UV8 support. More...
u16 | Y_UV8_420En
| Y_UV8_420 support. More...
u16 | RGB8En
| RGB8 support. More...
u16 | YUV8En
| YUV8 support. More...
u16 | Y_UV10En
| Y_UV10 support. More...
u16 | Y_UV10_420En
| Y_UV10_420 support. More...
u16 | Y8En
| Y8 support. More...
u16 | Y10En
| Y10 support. More...
u16 | BGRX8En
| BGRX8 support. More...
u16 | UYVY8En
| UYVY8 support. More...
u16 | BGR8En
| BGR8 support. More...
u16 | RGBX12En
| RGBX12 support. More...
u16 | RGB16En
| RGB16 support. More...
u16 | YUVX12En
| YUVX12 support. More...
u16 | Y_UV12En
| Y_UV12 support. More...
u16 | Y_UV12_420En
| Y_UV12_420 support. More...
u16 | Y12En
| Y12 support. More...
u16 | YUV16En
| YUV16 support. More...
u16 | Y_UV16En
| Y_UV16 support. More...
u16 | Y_UV16_420En
| Y_UV16_420 support. More...
u16 | Y16En
| Y16 support. More...
u16 | Y_U_V8En
| Y_U_V8 support. More...
u16 | Y_U_V10En
| Y_U_V10 support. More...
u16 | Y_U_V8_420En
| Y_U_V8_420 support. More...
u16 | Y_U_V12En
| Y_U_V12 support. More...
u16 | Interlaced
| Interlaced support. More...
u16 | IsTileFormat
| Interlaced support. More...

## Detailed Description

This typedef contains configuration information for the frame buffer write core Each core instance should have a configuration structure associated.

## Field Documentation

u16 XV_frmbufwr_Config::AXIMMAddrWidth

AXI-MM address width.

u16 XV_frmbufwr_Config::AXIMMDataWidth

AXI-MM data width.

Referenced by XVFrmbufWr_DbgReportStatus().

UINTPTR XV_frmbufwr_Config::BaseAddress

The base address of the core instance.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::BGR8En

BGR8 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::BGRA8En

YUVA8 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::BGRX8En

BGRX8 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::DeviceId

Unique ID of device.

u16 XV_frmbufwr_Config::Interlaced

Interlaced support.

Referenced by XVFrmbufWr_DbgReportStatus(), and XVFrmbufWr_GetFieldID().

u16 XV_frmbufwr_Config::IsTileFormat

Interlaced support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::MaxDataWidth

Maximum Data width of each channel.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::MaxHeight

Maximum rows supported by core instance.

u16 XV_frmbufwr_Config::MaxWidth

Maximum columns supported by core instance.

u16 XV_frmbufwr_Config::PixPerClk

Samples Per Clock.

Referenced by XVFrmbufWr_DbgReportStatus(), XVFrmbufWr_SetBufferAddr(), XVFrmbufWr_SetChromaBufferAddr(), XVFrmbufWr_SetMemFormat(), and XVFrmbufWr_SetVChromaBufferAddr().

u16 XV_frmbufwr_Config::RGB16En

RGB16 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::RGB8En

RGB8 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::RGBA8En

RGBA8 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::RGBX10En

RGBX10 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::RGBX12En

RGBX12 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::RGBX8En

RGBX8 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::UYVY8En

UYVY8 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::Y10En

Y10 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::Y12En

Y12 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::Y16En

Y16 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::Y8En

Y8 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::Y_U_V10En

Y_U_V10 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::Y_U_V12En

Y_U_V12 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::Y_U_V8_420En

Y_U_V8_420 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::Y_U_V8En

Y_U_V8 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::Y_UV10_420En

Y_UV10_420 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::Y_UV10En

Y_UV10 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::Y_UV12_420En

Y_UV12_420 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::Y_UV12En

Y_UV12 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::Y_UV16_420En

Y_UV16_420 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::Y_UV16En

Y_UV16 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::Y_UV8_420En

Y_UV8_420 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::Y_UV8En

Y_UV8 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::YUV16En

YUV16 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::YUV8En

YUV8 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::YUVA8En

YUVA8 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::YUVX10En

YUVX10 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::YUVX12En

YUVX12 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::YUVX8En

YUVX8 support.

Referenced by XVFrmbufWr_DbgReportStatus().

u16 XV_frmbufwr_Config::YUYV8En

YUYV8 support.

Referenced by XVFrmbufWr_DbgReportStatus().